org.apache.pdfbox.pdmodel.encryption

## Class DecryptionMaterial

- java.lang.Object
- - org.apache.pdfbox.pdmodel.encryption.DecryptionMaterial

Direct Known Subclasses:
  PublicKeyDecryptionMaterial, StandardDecryptionMaterial

    public abstract class DecryptionMaterial
    extends Object

This class represents data required to decrypt PDF documents. This can be a password for standard security or a X509 certificate with a private key for public key security.

Author:
  Benoit Guillon

### Constructor Summary

Constructors
Constructor and Description
`DecryptionMaterial()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DecryptionMaterial

    public DecryptionMaterial()